Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SpecialPercept Class Reference

A class that contains a certain specialPercept. More...

`#include <SpecialPercept.h>`

Collaboration diagram for SpecialPercept:

[legend]
List of all members.

## Public Types
enum | Type { motionDetection, none, checkerboard, barCode, autoShutter, challengeOrientation, openChallengeBridge, openChallengeRedLine, imageBrightness }
| The different specialPercept types. More...
## Public Member Functions
| SpecialPercept ()
| Constructor.
| ~SpecialPercept ()
void | reset (unsigned long frameNum=0)
| Reset special percept.
## Public Attributes
Type | type
| The type of the specialPercept.
double | pan
| test values (motion detection)
double | tilt
| test values (motion detection)
Vector2< long > | mostMovement
Vector2< long > | leastMovement
Pose2D | checkerPose
| values (checkerboard detection)
unsigned long | frameNumber
int | barCodeId
| An id filled by the barCodeReader.
double | orientation
| Orientation of the robot in the "Almost-Slam-Challenge" *.
void * | slamData
| Some other stuff for the "Almost-Slam-Challenge" *.
double | angleOfPinkFlags [MAXSEENFLAGS]
int | countAngleOfPinkFlags
OCBridge | ocBridge
| values for open challenge bridge detection
OCRedLine | ocRedLine
| for red line detection
bool | shutterSelected
| indicates if Shutter was selected
SpecialLandmark | specialLandmarks [6]
int | numOfSpecialLandmarks
unsigned char | estimatedImageBrightness
| estimated overall brightness of the image (for time sync with remote cam)

## Detailed Description

A class that contains a certain specialPercept.

Author:
  Matthias Juengel

  Martin Lötzsch

Definition at line 206 of file SpecialPercept.h.

## Member Enumeration Documentation

enum SpecialPercept::Type

  | The different specialPercept types. Enumeration values:
  motionDetection |
  none |
  checkerboard |
  barCode |
  autoShutter |
  challengeOrientation |
  openChallengeBridge |
  openChallengeRedLine |
  imageBrightness |
Definition at line 217 of file SpecialPercept.h.

## Constructor & Destructor Documentation

SpecialPercept::SpecialPercept | ( |  | ) |

| Constructor. Definition at line 167 of file SpecialPercept.cpp. References reset(), and slamData.

Here is the call graph for this function:

SpecialPercept::~SpecialPercept | ( |  | ) |

| Definition at line 174 of file SpecialPercept.cpp. References slamData.

## Member Function Documentation

void SpecialPercept::reset | ( | unsigned long | frameNum = 0 | ) |

| Reset special percept. Definition at line 179 of file SpecialPercept.cpp. References barCodeId, checkerPose, countAngleOfPinkFlags, estimatedImageBrightness, leastMovement, mostMovement, and shutterSelected. Referenced by operator>>(), and SpecialPercept().

## Member Data Documentation

Type SpecialPercept::type

| The type of the specialPercept. Definition at line 231 of file SpecialPercept.h. Referenced by ImageBrightnessEstimator::execute(), AutoShutter::execute(), operator<<(), operator>>(), and LogPlayer::saveCSV().

double SpecialPercept::pan

| test values (motion detection) Definition at line 234 of file SpecialPercept.h.

double SpecialPercept::tilt

| test values (motion detection) Definition at line 234 of file SpecialPercept.h.

Vector2<long> SpecialPercept::mostMovement

| Definition at line 235 of file SpecialPercept.h. Referenced by operator<<(), operator>>(), and reset().

Vector2<long> SpecialPercept::leastMovement

| Definition at line 235 of file SpecialPercept.h. Referenced by operator<<(), operator>>(), and reset().

Pose2D SpecialPercept::checkerPose

| values (checkerboard detection) Definition at line 238 of file SpecialPercept.h. Referenced by operator<<(), operator>>(), reset(), and LogPlayer::saveCSV().

unsigned long SpecialPercept::frameNumber

| Definition at line 239 of file SpecialPercept.h. Referenced by operator<<(), operator>>(), and LogPlayer::saveCSV().

int SpecialPercept::barCodeId

| An id filled by the barCodeReader. Definition at line 242 of file SpecialPercept.h. Referenced by BarCodeReader::execute(), SpecialVisionSymbols::getBarCodeValue(), operator<<(), operator>>(), and reset().

double SpecialPercept::orientation

| Orientation of the robot in the "Almost-Slam-Challenge" *. Definition at line 245 of file SpecialPercept.h. Referenced by ChallengeSpecialVision::execute(), ChallengeSpecialVision::executeFindOrientation(), ChallengeSpecialVision::executeGetOrientation(), ChallengeSpecialVision::executeLearnOrientation(), operator<<(), operator>>(), and SpecialVisionSymbols::registerSymbols().

void* SpecialPercept::slamData

| Some other stuff for the "Almost-Slam-Challenge" *. Definition at line 247 of file SpecialPercept.h. Referenced by ChallengeSymbols::imageCharacteristicsAvgU(), ChallengeSymbols::imageCharacteristicsAvgV(), ChallengeSymbols::imageCharacteristicsAvgY(), ChallengeSymbols::registerSymbols(), SpecialPercept(), and ~SpecialPercept().

double SpecialPercept::angleOfPinkFlags[MAXSEENFLAGS]

| Definition at line 251 of file SpecialPercept.h. Referenced by ChallengeSpecialVision::executeFindOrientation(), and ChallengeSpecialVision::executeLearnOrientation().

int SpecialPercept::countAngleOfPinkFlags

| Definition at line 252 of file SpecialPercept.h. Referenced by ChallengeSpecialVision::execute(), ChallengeSpecialVision::executeFindOrientation(), ChallengeSpecialVision::executeLearnOrientation(), and reset().

OCBridge SpecialPercept::ocBridge

| values for open challenge bridge detection Definition at line 255 of file SpecialPercept.h. Referenced by operator<<(), and operator>>().

OCRedLine SpecialPercept::ocRedLine

| for red line detection Definition at line 258 of file SpecialPercept.h. Referenced by operator<<(), and operator>>().

bool SpecialPercept::shutterSelected

| indicates if Shutter was selected Definition at line 261 of file SpecialPercept.h. Referenced by AutoShutter::execute(), SpecialVisionSymbols::getShutterSelected(), operator<<(), operator>>(), and reset().

SpecialLandmark SpecialPercept::specialLandmarks[6]

| Definition at line 263 of file SpecialPercept.h.

int SpecialPercept::numOfSpecialLandmarks

| Definition at line 264 of file SpecialPercept.h.

unsigned char SpecialPercept::estimatedImageBrightness

| estimated overall brightness of the image (for time sync with remote cam) Definition at line 267 of file SpecialPercept.h. Referenced by ImageBrightnessEstimator::execute(), operator>>(), GT2005BehaviorControl::postExecute(), and reset().

The documentation for this class was generated from the following files:

- Representations/Perception/SpecialPercept.h
- Representations/Perception/SpecialPercept.cpp